<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Moral
 */

$default = moral_magazine_get_default_mods();
?>

	</div><!-- #content -->

	<footer id="colophon" class="site-footer" role="contentinfo">
		<!-- supports col-1, col-2, col-3 and col-4 -->
		<!-- supports unequal-width and equal-width -->
		<?php  
		$count = 0;
		for ( $i=1; $i <=4 ; $i++ ) { 
			if ( is_active_sidebar( 'footer-' . $i ) ) {
				$count++;
			}
		}
		
		if ( 0 !== $count ) : ?>
			<div class="footer-widgets-area page-section col-<?php echo esc_attr( $count );?>">
			    <div class="wrapper">
					<?php 
					for ( $j=1; $j <=4; $j++ ) { 
						if ( is_active_sidebar( 'footer-' . $j ) ) {
			    			echo '<div class="hentry">';
							dynamic_sidebar( 'footer-' . $j ); 
			    			echo '</div>';
						}
					}
					?>
				</div><!-- .wrapper -->
			</div><!-- .footer-widget-area -->

		<?php endif;
		 $moral_magazine_search = array( '[the-year]', '[site-link]' );

        $replace = array( date( 'Y' ), '<a href="'. esc_url( home_url( '/' ) ) .'">'. esc_attr( get_bloginfo( 'name', 'display' ) ) . '</a>' );

        $copyright = str_replace( $moral_magazine_search, $replace, get_theme_mod( 'moral_magazine_copyright_txt', $default['moral_magazine_copyright_txt'] ) );

			?>
		<?php if ( get_theme_mod( 'moral_magazine_enable_footer_text', true ) ): ?>
			<div class="site-info">
				<!-- supports col-1 and col-2 -->
				<?php 

				?>
				<div class="wrapper">
					    <span>
					        <?php echo wp_kses_post(  $copyright ); ?>
					        <?php echo sprintf( esc_html__( 'Theme: %1$s By %2$s.', 'moral-magazine' ), wp_get_theme()->get('Name'), '<a href="http://moralthemes.com/">Moral Themes</a>' ) ;?>
					    </span><!-- .footer-copyright -->				    
				</div><!-- .wrapper -->    
				
			</div><!-- .site-info -->
		<?php endif ?>
			
	</footer><!-- #colophon -->
	
	<?php  
	$backtop = get_theme_mod( 'moral_magazine_back_to_top_enable', true );
	if ( $backtop ) { ?>
		<div class="backtotop"><?php echo moral_magazine_get_svg( array( 'icon' => 'up-arrow' ) ); ?></div>
	<?php }	?>
</div><!-- #page -->

<?php wp_footer(); ?>

</body>
</html>
